Subject: Re: [PATCH 1/2 maint] apply --whitespace=fix: fix tab-in-indent

From: Chris Webb <[email-masked]>
Date: Tue, 30 Nov 2010 23:19:10 +0000

Johannes Sixt <[email-masked]> writes:

> When the whitespace rule tab-in-indent is enabled, apply --whitespace=fix
> replaces tabs by the appropriate amount of blanks. The code used
> "dst->len % 8" as the criterion to stop adding blanks. But it forgot that
> dst holds more than just the current line. Consequently, the modulus was
> computed correctly only for the first added line, but not for the second
> and subsequent lines. Fix it.

You're quite right! My mistake, so if you like, please feel free to add

Acked-by: Chris Webb <[email-masked]>

Cheers,

Chris.